/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


@JsonSerialize
@ApiModel(description = "用例设计统计图表 ")
public class MtCaseDesignInfoDw implements Serializable {

    @ApiModelProperty("用例主键")
    private String id;

    @ApiModelProperty("所属系统id")
    private String projectId;

    @ApiModelProperty("创建时间")
    private Date createdTime;

    @ApiModelProperty("创建人")
    private String createdBy;

    @ApiModelProperty("逻辑删除(0-未删除,1-已删除)")
    private Boolean deleted;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("用例类型")
    private String caseType;

    private String caseStatus;

    @ApiModelProperty("自定义字段1")
    private String USER_DEFINED_IDX1;

    public String getUSER_DEFINED_IDX1() {
        return USER_DEFINED_IDX1;
    }

    public void setUSER_DEFINED_IDX1(String USER_DEFINED_IDX1) {
        this.USER_DEFINED_IDX1 = USER_DEFINED_IDX1;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public String getCaseStatus() {
        return caseStatus;
    }

    public void setCaseStatus(String caseStatus) {
        this.caseStatus = caseStatus;
    }
}